From 7fbf40c20c7a47cc5dfdc5b735ca67ac069d19d0 Mon Sep 17 00:00:00 2001
From: Scott Lahteine <github@thinkyhead.com>
Date: Sat, 24 Aug 2019 02:02:31 -0500
Subject: [PATCH] Add command-check to get-bdf2u8g.sh

---
 buildroot/share/fonts/get-bdf2u8g.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/buildroot/share/fonts/get-bdf2u8g.sh b/buildroot/share/fonts/get-bdf2u8g.sh
index e7dca2bef4..5851bf93e3 100755
--- a/buildroot/share/fonts/get-bdf2u8g.sh
+++ b/buildroot/share/fonts/get-bdf2u8g.sh
@@ -12,6 +12,10 @@
 
 HERE=$(pwd)
 
+for CMD in curl unzip patch make; do
+  which $CMD >/dev/null || { echo "'$CMD' is required for this script." ; exit 1 ; }
+done
+
 [[ $HERE =~ 'buildroot/share/fonts'$ ]] || { echo "Change to buildroot/share/fonts to run $(basename $0)" ; exit 1; }
 
 # Download u8glib
-- 
GitLab